# Amiga Library Services - CD Administration Makefile
#
# This Makefile goes in the GNU tree directory containing the
# "manifests", that are used to decide how the tree is partitioned
# into the various archives that go in the BBS/FTP area on the CD.

all:

clean:
		rm -f *!

clobber:	clean

release:

# This target tests the coverage of the manifest files.  The output
# is the file /tmp/coverage.diff, which will show which files (if any)
# are listed in the manifest files, but not found in the actual GNU
# tree, which files are not listed in any manifest file, etc.
#
# We also find out which files, if any, appear in more than one manifest
# file.  This list is left in /tmp/dups.diff.

coverage:
	-cat *-src *-bin *-diffs | sort >/tmp/manifest-files-all
	uniq </tmp/manifest-files-all >/tmp/manifest-files-uniq
	-diff /tmp/manifest-files-all /tmp/manifest-files-uniq >/tmp/dups.diff
	(cd /gnu; find . -type f -print) | sort | uniq | sed "s:^./::" >/tmp/gnu-files
	-diff /tmp/manifest-files-uniq /tmp/gnu-files >/tmp/coverage.diff
	